Subject: bug#25719: "guix package -i" exception should be a normal error message

From: zimoun <[email-masked]>
Date: Wed, 24 Mar 2021 22:57:45 +0100

Hi Danny,

On Wed, 02 Dec 2020 at 14:35, Danny Milosavljevic <[email-masked]> wrote:
> On Tue, 01 Dec 2020 19:28:12 +0100
> zimoun <[email-masked]> wrote:
>
>> This old bug #25719 is about exception and error message.  See:
>> 
>>     <http://issues.guix.gnu.org/issue/25719>
>> 
>> On Tue, 14 Feb 2017 at 09:41, Danny Milosavljevic <[email-masked]> wrote:
>> > When I have network problems sometimes I get a backtrace like this:  
>> 
>> First, do you still experiment such behaviour?  Since it 3 years old.
>
> I haven't seen this particular exception in a long time.  I cannot tell whether
> the actual usability has been fixed, though--it could be that only the servers
> are more reliable and this code path is thus not currently being entered.

Therefore, I am in favor to close it.  And maybe reopen it or open
another one it happens again.  WDYT?

Cheers,
simon